unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ColorProgressBar, StdCtrls;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var ColorProgressBar :TColorProgressBar;
begin
ColorProgressBar:=TColorProgressBar.Create(Self);
ColorProgressBar.Left:=10;
ColorProgressBar.Top:=10;
ColorProgressBar.Width:=300;
ColorProgressBar.Height:=30;
ColorProgressBar.AutoStep:=True;
ColorProgressBar.ColorBegin:=clRed;
ColorProgressBar.Position:=100;
ColorProgressBar.Smooth:=False;
ColorProgressBar.Parent:=Self;
end;

end.
